# $Revision: 1.36 $, $Date: 2010/08/24 09:27:39 $
#
# Conditional build:
%bcond_with	bootstrap	# bootstrap (alias for _without_mpeg4ip)
%bcond_without	mpeg4ip		# don't build MPEG4IP plugin
%bcond_without	static_libs	# don't build static libraries
%bcond_without	xmms		# don't build XMMS plugin

%{?with_bootstrap:%undefine with_mpeg4ip}
Summary:	Freeware Advanced Audio Decoder 2
Summary(pl.UTF-8):	Darmowy zaawansowany dekoder audio
Name:		faad2
Version:	2.6.1
Release:	6
License:	GPL
Group:		Applications/Sound
Source0:	http://downloads.sourceforge.net/faac/%{name}-%{version}.tar.gz
# Source0-md5:	74e92df40c270f216a8305fc87603c8a
Patch0:		%{name}-make.patch
Patch1:		%{name}-mpeg4ip.patch
Patch2:		%{name}-soname.patch
Patch3:		%{name}-backward_compat.patch
Patch4:		%{name}-ac.patch
Patch5:		%{name}-mp4ff.patch
URL:		http://www.audiocoding.com/
%{?with_mpeg4ip:BuildRequires:	SDL-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_xmms:BuildRequires:	id3lib-devel >= 3.8.2}
BuildRequires:	libtool >= 2:1.4d-3
%{?with_mpeg4ip:BuildRequires:	mpeg4ip-devel >= 1:1.6}
%{?with_xmms:BuildRequires:	rpmbuild(macros) >= 1.125}
%{?with_xmms:BuildRequires:	xmms-devel}
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch.

%description -l pl.UTF-8
FAAD 2 to napisany całkowicie od początku dekoder MPEG2 i MPEG-4
obsługujący profile LC, MAIN i LTP.

%package libs
Summary:	FAAD 2 libraries
Summary(pl.UTF-8):	Biblioteki FAAD 2
Group:		Libraries
Conflicts:	faad2 < 2.0-3

%description libs
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. This package contains base FAAD 2
libraries: libfaad and libmp4ff.

%description libs -l pl.UTF-8
FAAD 2 to napisany całkowicie od początku dekoder MPEG2 i MPEG-4
obsługujący profile LC, MAIN i LTP. Ten pakiet zawiera podstawowe
biblioteki FAAD 2: libfaad i libmp4ff.

%package devel
Summary:	Header files for faad2
Summary(pl.UTF-8):	Pliki nagłówkowe faad2
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for faad2.

%description devel -l pl.UTF-8
Pliki nagłówkowe faad2.

%package static
Summary:	Static faad2 library
Summary(pl.UTF-8):	Statyczna biblioteka faad2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static faad2 library.

%description static -l pl.UTF-8
Statyczna biblioteka faad2.

%package -n mpeg4ip-plugin-faad2
Summary:	MPEG4IP plugin for AAC files
Summary(pl.UTF-8):	Wtyczka MPEG4IP do plików AAC
Group:		Applications/Sound
Requires:	%{name}-libs = %{version}-%{release}
Requires:	mpeg4ip

%description -n mpeg4ip-plugin-faad2
MPEG4IP plugin for AAC files.

%description -n mpeg4ip-plugin-faad2 -l pl.UTF-8
Wtyczka MPEG4IP do plików AAC.

%package -n xmms-input-faad2
Summary:	XMMS plugin for AAC files
Summary(pl.UTF-8):	Wtyczka XMMS do plików AAC
Group:		X11/Applications/Sound
Requires:	%{name}-libs = %{version}-%{release}
Requires:	xmms

%description -n xmms-input-faad2
XMMS plugin for AAC files.

%description -n xmms-input-faad2 -l pl.UTF-8
Wtyczka XMMS do plików AAC.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with%{!?with_xmms:out}-xmms \
	--with%{!?with_mpeg4ip:out}-mpeg4ip \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{xmms_input_plugindir}/*.{la,a}
rm -f $RPM_BUILD_ROOT%{_libdir}/mp4player_plugin/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/faad

%files libs
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libfaad.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfaad.so.0
%attr(755,root,root) %{_libdir}/libmp4ff.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmp4ff.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfaad.so
%attr(755,root,root) %{_libdir}/libmp4ff.so
%{_libdir}/libfaad.la
%{_libdir}/libmp4ff.la
%{_includedir}/faad.h
%{_includedir}/mp4ff.h
%{_includedir}/mp4ff_int_types.h
%{_includedir}/neaacdec.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfaad.a
%{_libdir}/libmp4ff.a
%endif

%if %{with xmms}
%files -n xmms-input-faad2
%defattr(644,root,root,755)
%attr(755,root,root) %{xmms_input_plugindir}/libmp4.so
%endif

%if %{with mpeg4ip}
%files -n mpeg4ip-plugin-faad2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/mp4player_plugin/faad2_plugin.so*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: faad2.spec,v $
Revision 1.36  2010/08/24 09:27:39  glen
- release 6

Revision 1.35  2009/10/28 18:21:03  wiget
- realy package mp4ff_int_types.h

Revision 1.34  2009/10/28 18:16:31  wiget
- intall mp4ff_int_types.h too
- rel. 4

Revision 1.33  2009/10/28 18:10:33  wiget
- build and package shared libmp4ff
- rel. 3

Revision 1.32  2009/09/16 13:06:35  tommat
- add missing AC_PROG_CXX to configure.in

Revision 1.31  2007/11/13 20:57:24  hawk
- BR: mpeg4ip >= 1.6, patch contains fix incompatible with older versions
- release 2

Revision 1.30  2007-11-04 12:10:31  qboosh
- updated to 2.6.1
- dropped obsolete no-extension,inttypes_h patches, updated the rest

Revision 1.29  2007/02/12 21:23:55  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.27  2007/01/16 21:07:33  sls
- added patches soname and backward_compat (in faad2-2.5 function prefix was
  changed: s/faac/NeAAC/)
- rel 2

Revision 1.26  2006/08/24 20:29:06  qboosh
- SDL-devel only for mpeg4ip plugin

Revision 1.25  2006/08/24 17:25:49  charles
- without static_libs bcond
- BR: SDL-devel

Revision 1.24  2006/08/24 17:19:14  glen
- probably needs mpeg4ip >= 1.5 (1.4.1 has missing constants)

Revision 1.23  2006/08/24 16:32:56  qboosh
- updated to 2.5
- updated make,no-extension,mpeg4ip,inttypes_h patches, removed obsolete mp4v2,gcc4 patches

Revision 1.22  2006/02/13 19:15:37  glen
- needs current mpeg4ip-devel (thx pluto)

Revision 1.21  2006/02/13 16:04:58  glen
- rel 6

Revision 1.20  2006/01/25 22:38:27  pluto
- gcc4 patch enabled.

Revision 1.19  2005/09/08 00:40:06  glen
- patch mp3ff.h instead including needless include for non-win32 platform

Revision 1.18  2005/09/07 23:37:34  glen
- add missing header
- disable patch3 as it's incompatible with mpeg4ip (1.1+?)

Revision 1.17  2005/03/17 16:11:24  pluto
- gcc4 fix.

Revision 1.16  2005/02/28 20:45:04  darekr
- next typo in BR

Revision 1.15  2004/11/08 13:49:32  speedy
- mpeg4ip patch
- release 5

Revision 1.14  2004/06/12 12:49:31  averne
- added patch sent by Krzysztof Miasko

Revision 1.13  2004/02/10 23:44:08  qboosh
- added mp4v2 patch - build xmms plugin with external mp4v2
- fixed mpeg4ip plugin files

Revision 1.12  2004/02/10 20:45:01  qboosh
- preparing for external libmp4v2:
  - separate libs
  - conditionally BR mpeg4ip-devel
  - subpackage with mpeg4ip plugin
- release 3

Revision 1.11  2004/02/09 21:59:57  qboosh
- updated to final 2.0, added make patch
- release 2 (wrrr, rc was not in release)

Revision 1.10  2004/02/01 18:26:26  eothane
- fixed bconds

Revision 1.9  2003/11/28 17:58:28  adgor
- Added --with-mp4v2

Revision 1.8  2003/11/25 23:49:01  wiget
- up to 2.0-rc3
- new bconds

Revision 1.7  2003/08/04 21:24:58  grzegol
- added new macros [BR: rpmbuild(macros) >= 1.125]
- cosmetics/sorting/simplifications/more (B)Rs and so on
- rel. ++

Revision 1.6  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:47:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/12 19:24:40  mkochano
- Release 2.
- BR: id3lib-devel >= 3.8.2. This constraint is probably too
  restrictive, but one given in documentation is not restrictive enough.

Revision 1.3  2003/04/12 14:01:41  qboosh
- added xmms plugin and pl descriptions

Revision 1.2  2003/04/11 16:40:46  wolf
- it seems that libsndfile from nest has broken provides

Revision 1.1  2003/04/11 16:38:55  wolf
- new
